Bug 93983 - finance/gnucash: slib after v. 3a1_2 bloks execution of gnucash
finance/gnucash: slib after v. 3a1_2 bloks execution of gnucash
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: lawrance
Depends on:
  Show dependency treegraph
Reported: 2006-03-01 14:50 UTC by em.conti
Modified: 2006-06-08 17:05 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description em.conti 2006-03-01 14:50:03 UTC
Since two weeks slib has been updated twice (3a2 and 3a3).
Both these two version bloks the execution of gnucash.
Gnucash works with slib 3a1_2 only.
Comment 1 vaida.bogdan 2006-03-10 14:50:44 UTC
Same problem, here's the error:

$ gnucash
ERROR: Unbound variable: with-load-pathname
Comment 2 vaida.bogdan 2006-03-17 12:33:48 UTC
Note that as a quick fix you can install sysutils/portdowngrade and issue:  
"portdowngrade slib", choose "lang/slib" and checkout the 3a1_2 version of  
the port (2005/12/05); then portupgrade -f slib.
Comment 3 lawrance freebsd_committer 2006-04-02 11:41:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take it, since I think I'm almost at a solution that will work 
for gnucash and related problems (ports/93216, ports/93066).
Comment 4 lawrance freebsd_committer 2006-06-08 17:04:06 UTC
State Changed
From-To: open->closed

A fix was committed.  Please note that gnucash is still broken from some 
other libtool issues.  It may not work correctly yet.